Last Comment Bug 769722 - Unnecessary parens in nsGlobalWindow::GetFuzzTimeMS
: Unnecessary parens in nsGlobalWindow::GetFuzzTimeMS
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: bsurender
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 715041
  Show dependency treegraph
 
Reported: 2012-06-29 11:00 PDT by Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
Modified: 2012-07-15 10:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-06-29 11:00:11 PDT
There's no need for parentheses around randNum at http://hg.mozilla.org/integration/mozilla-inbound/rev/b405f493e834#l4.466.

In fact, that if block could go away entirely if it weren't for the randNum == MAX_IDLE_FUZZ_TIME_MS case.
Comment 1 bsurender 2012-06-29 17:03:41 PDT
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #0)
> There's no need for parentheses around randNum at
> http://hg.mozilla.org/integration/mozilla-inbound/rev/b405f493e834#l4.466.
> 
> In fact, that if block could go away entirely if it weren't for the randNum
> == MAX_IDLE_FUZZ_TIME_MS case.

yeah sorry about the parentheses. it was passed as a function argument before which deref'd to assign the value. after the clean up last night i forgot to remove the parentheses.

block has gone. i just mod it regardless.
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-06-29 19:30:15 PDT
Did you check this in?
Comment 3 Justin Lebar (not reading bugmail) 2012-06-30 08:36:38 PDT
It's not fixed in the inbound tree I just pulled...

If this is fixed in some other patch, the right thing to do here is mark this bug as depends-on that bug, and mark this as fixed only once that bug is fixed.
Comment 4 Justin Lebar (not reading bugmail) 2012-06-30 08:37:02 PDT
> only once that bug is fixed.

And by that, I mean, only once that bug is checked in.
Comment 5 bsurender 2012-06-30 22:41:06 PDT
(In reply to Justin Lebar [:jlebar] from comment #4)
> > only once that bug is fixed.
> 
> And by that, I mean, only once that bug is checked in.

Got it. Thanks.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-15 10:19:24 PDT
https://hg.mozilla.org/mozilla-central/rev/4c42f5fdc769

Note You need to log in before you can comment on or make changes to this bug.